%define module	django-picklefield

Name:		python-%{module}
Version:	3.2.0
Release:	%mkrel 3
Summary:	Implementation of a pickled object field
Group:		Development/Python
License:	MIT
URL:		https://github.com/gintas/django-picklefield
Source:		https://github.com/gintas/django-picklefield/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of a pickled object field
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(django)
Requires:	python3dist(django)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

#---------------------------------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files picklefield

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.2.0-3.mga10
+ Revision: 2240891
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.2.0-2.mga10
+ Revision: 2158122
- rebuild for python3.13

* Sun Apr 21 2024 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2060176
- new version: 3.2.0

* Fri Feb 23 2024 daviddavid <daviddavid> 3.1.0-2.mga10
+ Revision: 2043399
- rebuild for py3.12
- switch to pyproject

* Wed Aug 24 2022 papoteur <papoteur> 3.1.0-1.mga9
+ Revision: 1879967
- new 3.1.0

* Tue Mar 29 2022 umeabot <umeabot> 3.0.1-4.mga9
+ Revision: 1833348
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.0.1-3.mga9
+ Revision: 1785091
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 3.0.1-2.mga9
+ Revision: 1707701
- rebuild for python 3.9

* Tue Jul 14 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1605929
- new version: 3.0.1

* Thu Feb 20 2020 umeabot <umeabot> 2.1.1-2.mga8
+ Revision: 1545973
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1485698
- new version: 2.1.1

* Sun Sep 15 2019 daviddavid <daviddavid> 2.0.0-3.mga8
+ Revision: 1441333
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 2.0.0-2.mga8
+ Revision: 1430840
- drop python2 support

* Thu Mar 14 2019 daviddavid <daviddavid> 2.0.0-1.mga7
+ Revision: 1376074
- new version: 2.0.0

* Fri Jan 11 2019 daviddavid <daviddavid> 1.1.0-2.mga7
+ Revision: 1354919
- rebuild for new Python 3.7
- fix python2 description

* Wed Oct 10 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1319186
- new version: 1.1.0
- rename python-django-picklefield to python2-django-picklefield

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1288694
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-2.mga7
+ Revision: 1135385
- Rebuild for python 3.6

* Wed Jul 19 2017 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1125013
- new version: 1.0.0
- update Source URL

* Fri Feb 19 2016 umeabot <umeabot> 0.3.2-3.mga6
+ Revision: 970450
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 0.3.2-2.mga6
+ Revision: 886818
- rebuild for python 3.5

* Mon Sep 07 2015 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 873917
- new version: 0.3.2
- use new python macros
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 739762
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-5.mga5
+ Revision: 728289
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 687986
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.1-3.mga5
+ Revision: 628582
- Rebuild for new Python

* Tue Apr 22 2014 daviddavid <daviddavid> 0.3.1-2.mga5
+ Revision: 617358
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 0.3.1-1.mga5
+ Revision: 617230
- add support of python 3
- imported package python-django-picklefield

